#
# spec file for package python-inflection
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-inflection
Version:        0.5.1
Release:        2.10
Summary:        A port of Ruby on Rails inflector to Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/jpvanhal/inflection
Source:         https://files.pythonhosted.org/packages/source/i/inflection/inflection-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Inflection is a string transformation library.  It singularizes and pluralizes
English words, and transforms strings from CamelCase to underscored string.
Inflection is a port of `Ruby on Rails`_' `inflector`_ to Python.

%prep
%setup -q -n inflection-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%%license LICENSE
%{python_sitelib}/*

%changelog
* Wed May 26 2021 pgajdos@suse.com
- %%check: run testsuite with %%pytest rpm macro
* Sat Aug 22 2020 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 0.5.1:
  - fix: type hint config so they are available to mypy
  @sanzoghenzo correctly pointed out that a `py.typed` file alone wasn't
  enough to get the typing working, we also need to move inflection into
  a package. fixes: #49
* Tue Jul 28 2020 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 0.5.0:
  - Add type hints (#45)
* Tue Apr  7 2020 Sebastian Wagner <sebix+novell.com@sebix.at>
- Disable Python2 build, upstream says they stopped support for it.
* Tue Apr  7 2020 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 0.4.0:
  - BREAKING CHANGES
  - Drop support for Python 2.6 and 3.3 (2dfa5f6)
  - Drop support for Python 2.7 (a826dac)
  - Drop support for Python 3.4 (351a0f5)
  - Drop support for PyPy (88a0a5f)
  - Features
  - Include docs in releases (4c85b45)
  - Add universal wheel distribution (2daa3c7)
  - Add support for Python 3.5 and 3.6 (2dfa5f6)
  - Add support for Python 3.7 and 3.8 (09efb13)
  - Add support for PyPy 3 (2d2d379)
  - Move Changelog to GitHub releases (5181192)
  - Bug Fixes
  - Fix typo in camelize docs (5f44276)
  - Fix doctest blocks in docstrings (1d6c78f) (#11)
  - Fix "passerby" pluralized as "passerbys" and not "passersby (1969b3a) (#40)
  - Fix titleize() capitalizing only words starting with A-Z (e32443b) (#33)
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Dec  7 2017 sebix+novell.com@sebix.at
- initial package for version 0.3.1
